Skip to main content

Get your Exa API key

Create a key in the dashboard. New accounts start with free credits.
The Team Management API is enabled per team. It authenticates with a service account API key, which is created from the Service keys tab on the API keys page once the feature is enabled for your team. Contact support@exa.ai to request access.

Authorizations

x-api-key
string
header
required

Service API key for team authentication

Path Parameters

id
string
required

The unique identifier of the API key to update.

Body

application/json
name
string

Optional new name for the API key

Example:

"Updated Production Key"

rateLimit
integer

Optional new rate limit for the API key (requests per second)

Example:

2000

budgetCents
integer | null

Optional new spending budget for the API key in the team's current billing period, in cents. It resets when the next billing period starts. Set to null to remove the budget.

Required range: x >= 0
Example:

5000

Response

API key updated successfully

apiKey
object